Update allocation - Fabric

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

Skip to main content

Update allocation

cURL

curl --request PUT \
  --url https://prod01.oms.fabric.inc/api/v2/allocation/{allocationId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '
{
  "allocationId": "62ff5c0bec0aed3c86202c32",
  "parentAllocationId": "62ff5c0bec0aed3c86202c32",
  "locationNum": "1234B",
  "items": [\
    {\
      "itemId": "100064",\
      "sku": "123k4h123k",\
      "quantity": 3,\
      "allocationLineNumber": 3,\
      "orderLineId": "134fqfaa532qrf",\
      "orderId": "123k4h123k",\
      "orderDate": "2022-08-01T18:03:28.483971941Z",\
      "estimatedDeliveryDate": "2022-08-01T18:03:28.483971941Z",\
      "parentAllocationLineNumber": 3,\
      "reallocationRequestId": "123k4h123k",\
      "shippedQuantity": 1,\
      "scratchQuantity": 1,\
      "scratchedReasonCode": "Scratched during shipment",\
      "reshipReasonCode": "Reshipping during shipment",\
      "reallocationReasonCode": "Reallocating due to unavailability of location number",\
      "channelId": "12",\
      "segment": null,\
      "vendorId": "56",\
      "title": "Demo",\
      "weight": 5.5,\
      "cost": 500.2,\
      "price": 50.2,\
      "itemStatus": "ALLOCATED",\
      "attributes": {},\
      "uom": "KG"\
    }\
  ],
  "version": 2,
  "allocationRequestId": "62ff5c0bec0aed3c86202c32",
  "allocationNum": "xxyyzz12345",
  "sentToPPSDate": "2022-08-01T18:03:28.483971941Z",
  "allocationDate": "2022-08-01T18:03:28.483971941Z",
  "updatedAt": "2022-08-01T20:03:28.483971941Z",
  "type": "ALLOCATED",
  "previousAllocationLocationNum": 410,
  "poNumber": "1125",
  "itemsType": "WEB_SHIP",
  "orderSubType": "BORDERFREE",
  "vendorId": "56",
  "shipDate": null,
  "shipType": "SHIP_TO_ADDRESS",
  "shipMethod": "Overnight Delivery",
  "shipToId": "98ff5c0bec0aed3c86202c32",
  "statusCode": "PENDING_PICK",
  "locationType": "1234B",
  "shipToAddress": {},
  "recipient": [\
    {\
      "name": {\
        "first": "John",\
        "middle": "Middle",\
        "last": "Doe"\
      },\
      "email": "demo@xyz.inc",\
      "phone": {\
        "number": "55555555555",\
        "type": "MOBILE"\
      },\
      "pickupType": "Primary"\
    }\
  ],
  "auditLogs": [\
    {\
      "lineItemId": "4",\
      "auditId": "62272e917b12209e68751d94",\
      "auditType": "UPDATE",\
      "employeeId": "62272e917b12209e68751d94",\
      "auditTimestamp": "2022-05-12T09:24:54.804Z",\
      "source": "POS",\
      "reasonCode": "POS",\
      "subReasonCode": "POS",\
      "policyCode": "POS",\
      "note": "Note",\
      "lineItemNumber": 1,\
      "sku": "F5F",\
      "quantity": 1,\
      "amount": 2.4,\
      "paymentToken": {\
        "token": "pi_34tr6787rt",\
        "paymentType": "VISA"\
      },\
      "success": true,\
      "paymentResponse": {},\
      "updatedFields": [\
        {\
          "fieldName": "UOM",\
          "fieldOriginalValue": "PK"\
        }\
      ],\
      "attributes": {}\
    }\
  ]
}
'
import requests

url = "https://prod01.oms.fabric.inc/api/v2/allocation/{allocationId}"

payload = {
    "allocationId": "62ff5c0bec0aed3c86202c32",
    "parentAllocationId": "62ff5c0bec0aed3c86202c32",
    "locationNum": "1234B",
    "items": [\
        {\
            "itemId": "100064",\
            "sku": "123k4h123k",\
            "quantity": 3,\
            "allocationLineNumber": 3,\
            "orderLineId": "134fqfaa532qrf",\
            "orderId": "123k4h123k",\
            "orderDate": "2022-08-01T18:03:28.483971941Z",\
            "estimatedDeliveryDate": "2022-08-01T18:03:28.483971941Z",\
            "parentAllocationLineNumber": 3,\
            "reallocationRequestId": "123k4h123k",\
            "shippedQuantity": 1,\
            "scratchQuantity": 1,\
            "scratchedReasonCode": "Scratched during shipment",\
            "reshipReasonCode": "Reshipping during shipment",\
            "reallocationReasonCode": "Reallocating due to unavailability of location number",\
            "channelId": "12",\
            "segment": None,\
            "vendorId": "56",\
            "title": "Demo",\
            "weight": 5.5,\
            "cost": 500.2,\
            "price": 50.2,\
            "itemStatus": "ALLOCATED",\
            "attributes": {},\
            "uom": "KG"\
        }\
    ],
    "version": 2,
    "allocationRequestId": "62ff5c0bec0aed3c86202c32",
    "allocationNum": "xxyyzz12345",
    "sentToPPSDate": "2022-08-01T18:03:28.483971941Z",
    "allocationDate": "2022-08-01T18:03:28.483971941Z",
    "updatedAt": "2022-08-01T20:03:28.483971941Z",
    "type": "ALLOCATED",
    "previousAllocationLocationNum": 410,
    "poNumber": "1125",
    "itemsType": "WEB_SHIP",
    "orderSubType": "BORDERFREE",
    "vendorId": "56",
    "shipDate": None,
    "shipType": "SHIP_TO_ADDRESS",
    "shipMethod": "Overnight Delivery",
    "shipToId": "98ff5c0bec0aed3c86202c32",
    "statusCode": "PENDING_PICK",
    "locationType": "1234B",
    "shipToAddress": {},
    "recipient": [\
        {\
            "name": {\
                "first": "John",\
                "middle": "Middle",\
                "last": "Doe"\
            },\
            "email": "demo@xyz.inc",\
            "phone": {\
                "number": "55555555555",\
                "type": "MOBILE"\
            },\
            "pickupType": "Primary"\
        }\
    ],
    "auditLogs": [\
        {\
            "lineItemId": "4",\
            "auditId": "62272e917b12209e68751d94",\
            "auditType": "UPDATE",\
            "employeeId": "62272e917b12209e68751d94",\
            "auditTimestamp": "2022-05-12T09:24:54.804Z",\
            "source": "POS",\
            "reasonCode": "POS",\
            "subReasonCode": "POS",\
            "policyCode": "POS",\
            "note": "Note",\
            "lineItemNumber": 1,\
            "sku": "F5F",\
            "quantity": 1,\
            "amount": 2.4,\
            "paymentToken": {\
                "token": "pi_34tr6787rt",\
                "paymentType": "VISA"\
            },\
            "success": True,\
            "paymentResponse": {},\
            "updatedFields": [\
                {\
                    "fieldName": "UOM",\
                    "fieldOriginalValue": "PK"\
                }\
            ],\
            "attributes": {}\
        }\
    ]
}
headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {
    'x-site-context': '<x-site-context>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    allocationId: '62ff5c0bec0aed3c86202c32',
    parentAllocationId: '62ff5c0bec0aed3c86202c32',
    locationNum: '1234B',
    items: [\
      {\
        itemId: '100064',\
        sku: '123k4h123k',\
        quantity: 3,\
        allocationLineNumber: 3,\
        orderLineId: '134fqfaa532qrf',\
        orderId: '123k4h123k',\
        orderDate: '2022-08-01T18:03:28.483971941Z',\
        estimatedDeliveryDate: '2022-08-01T18:03:28.483971941Z',\
        parentAllocationLineNumber: 3,\
        reallocationRequestId: '123k4h123k',\
        shippedQuantity: 1,\
        scratchQuantity: 1,\
        scratchedReasonCode: 'Scratched during shipment',\
        reshipReasonCode: 'Reshipping during shipment',\
        reallocationReasonCode: 'Reallocating due to unavailability of location number',\
        channelId: '12',\
        segment: null,\
        vendorId: '56',\
        title: 'Demo',\
        weight: 5.5,\
        cost: 500.2,\
        price: 50.2,\
        itemStatus: 'ALLOCATED',\
        attributes: {},\
        uom: 'KG'\
      }\
    ],
    version: 2,
    allocationRequestId: '62ff5c0bec0aed3c86202c32',
    allocationNum: 'xxyyzz12345',
    sentToPPSDate: '2022-08-01T18:03:28.483971941Z',
    allocationDate: '2022-08-01T18:03:28.483971941Z',
    updatedAt: '2022-08-01T20:03:28.483971941Z',
    type: 'ALLOCATED',
    previousAllocationLocationNum: 410,
    poNumber: '1125',
    itemsType: 'WEB_SHIP',
    orderSubType: 'BORDERFREE',
    vendorId: '56',
    shipDate: null,
    shipType: 'SHIP_TO_ADDRESS',
    shipMethod: 'Overnight Delivery',
    shipToId: '98ff5c0bec0aed3c86202c32',
    statusCode: 'PENDING_PICK',
    locationType: '1234B',
    shipToAddress: {},
    recipient: [\
      {\
        name: {first: 'John', middle: 'Middle', last: 'Doe'},\
        email: 'demo@xyz.inc',\
        phone: {number: '55555555555', type: 'MOBILE'},\
        pickupType: 'Primary'\
      }\
    ],
    auditLogs: [\
      {\
        lineItemId: '4',\
        auditId: '62272e917b12209e68751d94',\
        auditType: 'UPDATE',\
        employeeId: '62272e917b12209e68751d94',\
        auditTimestamp: '2022-05-12T09:24:54.804Z',\
        source: 'POS',\
        reasonCode: 'POS',\
        subReasonCode: 'POS',\
        policyCode: 'POS',\
        note: 'Note',\
        lineItemNumber: 1,\
        sku: 'F5F',\
        quantity: 1,\
        amount: 2.4,\
        paymentToken: {token: 'pi_34tr6787rt', paymentType: 'VISA'},\
        success: true,\
        paymentResponse: {},\
        updatedFields: [{fieldName: 'UOM', fieldOriginalValue: 'PK'}],\
        attributes: {}\
      }\
    ]
  })
};

fetch('https://prod01.oms.fabric.inc/api/v2/allocation/{allocationId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



200

400

500

{
  "allocationId": "62ff5c0bec0aed3c86202c32",
  "parentAllocationId": "62ff5c0bec0aed3c86202c32",
  "locationNum": "1234B",
  "items": [\
    {\
      "itemId": "100064",\
      "sku": "123k4h123k",\
      "quantity": 3,\
      "allocationLineNumber": 3,\
      "orderLineId": "134fqfaa532qrf",\
      "orderId": "123k4h123k",\
      "orderDate": "2022-08-01T18:03:28.483971941Z",\
      "estimatedDeliveryDate": "2022-08-01T18:03:28.483971941Z",\
      "parentAllocationLineNumber": 3,\
      "reallocationRequestId": "123k4h123k",\
      "shippedQuantity": 1,\
      "scratchQuantity": 1,\
      "scratchedReasonCode": "Scratched during shipment",\
      "reshipReasonCode": "Reshipping during shipment",\
      "reallocationReasonCode": "Reallocating due to unavailability of location number",\
      "channelId": "12",\
      "segment": null,\
      "vendorId": "56",\
      "title": "Demo",\
      "weight": 5.5,\
      "cost": 500.2,\
      "price": 50.2,\
      "itemStatus": "ALLOCATED",\
      "attributes": {},\
      "uom": "KG"\
    }\
  ],
  "version": 2,
  "allocationRequestId": "62ff5c0bec0aed3c86202c32",
  "allocationNum": "xxyyzz12345",
  "sentToPPSDate": "2022-08-01T18:03:28.483971941Z",
  "allocationDate": "2022-08-01T18:03:28.483971941Z",
  "updatedAt": "2022-08-01T20:03:28.483971941Z",
  "type": "ALLOCATED",
  "previousAllocationLocationNum": 410,
  "poNumber": "1125",
  "itemsType": "WEB_SHIP",
  "orderSubType": "BORDERFREE",
  "vendorId": "56",
  "shipDate": null,
  "shipType": "SHIP_TO_ADDRESS",
  "shipMethod": "Overnight Delivery",
  "shipToId": "98ff5c0bec0aed3c86202c32",
  "statusCode": "PENDING_PICK",
  "locationType": "1234B",
  "shipToAddress": {},
  "recipient": [\
    {\
      "name": {\
        "first": "John",\
        "middle": "Middle",\
        "last": "Doe"\
      },\
      "email": "demo@xyz.inc",\
      "phone": {\
        "number": "55555555555",\
        "type": "MOBILE"\
      },\
      "pickupType": "Primary"\
    }\
  ],
  "auditLogs": [\
    {\
      "lineItemId": "4",\
      "auditId": "62272e917b12209e68751d94",\
      "auditType": "UPDATE",\
      "employeeId": "62272e917b12209e68751d94",\
      "auditTimestamp": "2022-05-12T09:24:54.804Z",\
      "source": "POS",\
      "reasonCode": "POS",\
      "subReasonCode": "POS",\
      "policyCode": "POS",\
      "note": "Note",\
      "lineItemNumber": 1,\
      "sku": "F5F",\
      "quantity": 1,\
      "amount": 2.4,\
      "paymentToken": {\
        "token": "pi_34tr6787rt",\
        "paymentType": "VISA"\
      },\
      "success": true,\
      "paymentResponse": {},\
      "updatedFields": [\
        {\
          "fieldName": "UOM",\
          "fieldOriginalValue": "PK"\
        }\
      ],\
      "attributes": {}\
    }\
  ]
}
{
  "message": "Allocation details not available for this allocationId"
}
{
  "message": "Internal Server Error"
}

PUT

/

allocation

/

{allocationId}

Try it

Update allocation

cURL

import requests

url = "https://prod01.oms.fabric.inc/api/v2/allocation/{allocationId}"

response = requests.put(url, json=payload, headers=headers)

print(response.text)



200

400

500

{
  "message": "Allocation details not available for this allocationId"
}
{
  "message": "Internal Server Error"
}

Authorizations

Authorization

string

header

required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-site-context

string

required

The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.

Example:

"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"

Path Parameters

allocationId

string

required

Body

application/json

Allocation details

allocationId

string

required

Unique ID for an allocation document

Example:

"62ff5c0bec0aed3c86202c32"

parentAllocationId

string

required

Same as previous allocation document while creating new allocation

Example:

"62ff5c0bec0aed3c86202c32"

locationNum

string

required

Tenant's ship-from location ID

Example:

"1234B"

items

object[]

required

List of items to be shipped

Showchild attributes

version

integer

Current version of allocation document

Example:

2

allocationRequestId

string

Allocation request ID used for tracking internal communication. Required to update allocation details.

Example:

"62ff5c0bec0aed3c86202c32"

allocationNum

string

Allocation number for client tracking

Example:

"xxyyzz12345"

sentToPPSDate

string

Time of sending allocation event to PPS

Example:

"2022-08-01T18:03:28.483971941Z"

allocationDate

string

Time of allocation creation and when it was stored in database

Example:

"2022-08-01T18:03:28.483971941Z"

updatedAt

string

Time of allocation update

Example:

"2022-08-01T20:03:28.483971941Z"

type

enum

Allocation type

Available options:

ALLOCATED,

SCRATCHED,

RETURNED

Example:

"ALLOCATED"

previousAllocationLocationNum

number

In reallocation scenarios, keeps track of the previously allocation location numbers

Example:

410

poNumber

string | null

Purchase order number (generally, vendor-generated)

Example:

"1125"

itemsType

enum

Items type

Available options:

WEB_SHIP,

POS,

WEB

Example:

"WEB_SHIP"

orderSubType

enum

Sub-type of order

Available options:

IOS,

Android,

International,

Borderfree

Example:

"BORDERFREE"

vendorId

string | null

Vendor ID

Example:

"56"

shipDate

string

Estimated ship date

Example:

null

shipType

string

Optional field for shipment type

Example:

"SHIP_TO_ADDRESS"

shipMethod

string

Optional field for shipment method

Example:

"Overnight Delivery"

shipToId

string

Unique Id for delivery address

Example:

"98ff5c0bec0aed3c86202c32"

statusCode

enum

Allocation status code

Available options:

ALLOCATED,

PENDING_DROP,

PENDING_PICK,

SHIPPED,

PARTIALLY_SHIPPED,

REALLOCATED,

CANCELLED,

PARTIALLY_CANCELLED

Example:

"PENDING_PICK"

locationType

string

Tenant's ship-from location type

Example:

"1234B"

shipToAddress

object

recipient

object[]

Recipient details such as phone number, email, and name

Showchild attributes

auditLogs

object[]

Logs with updated fields

Showchild attributes

Response

200

application/json

Allocation Updated

Allocation details

allocationId

string

required

Unique ID for an allocation document

Example:

"62ff5c0bec0aed3c86202c32"

parentAllocationId

string

required

Same as previous allocation document while creating new allocation

Example:

"62ff5c0bec0aed3c86202c32"

locationNum

string

required

Tenant's ship-from location ID

Example:

"1234B"

items

object[]

required

List of items to be shipped

Showchild attributes

version

integer

Current version of allocation document

Example:

2

allocationRequestId

string

Allocation request ID used for tracking internal communication. Required to update allocation details.

Example:

"62ff5c0bec0aed3c86202c32"

allocationNum

string

Allocation number for client tracking

Example:

"xxyyzz12345"

sentToPPSDate

string

Time of sending allocation event to PPS

Example:

"2022-08-01T18:03:28.483971941Z"

allocationDate

string

Time of allocation creation and when it was stored in database

Example:

"2022-08-01T18:03:28.483971941Z"

updatedAt

string

Time of allocation update

Example:

"2022-08-01T20:03:28.483971941Z"

type

enum

Allocation type

Available options:

ALLOCATED,

SCRATCHED,

RETURNED

Example:

"ALLOCATED"

previousAllocationLocationNum

number

In reallocation scenarios, keeps track of the previously allocation location numbers

Example:

410

poNumber

string | null

Purchase order number (generally, vendor-generated)

Example:

"1125"

itemsType

enum

Items type

Available options:

WEB_SHIP,

POS,

WEB

Example:

"WEB_SHIP"

orderSubType

enum

Sub-type of order

Available options:

IOS,

Android,

International,

Borderfree

Example:

"BORDERFREE"

vendorId

string | null

Vendor ID

Example:

"56"

shipDate

string

Estimated ship date

Example:

null

shipType

string

Optional field for shipment type

Example:

"SHIP_TO_ADDRESS"

shipMethod

string

Optional field for shipment method

Example:

"Overnight Delivery"

shipToId

string

Unique Id for delivery address

Example:

"98ff5c0bec0aed3c86202c32"

statusCode

enum

Allocation status code

Available options:

ALLOCATED,

PENDING_DROP,

PENDING_PICK,

SHIPPED,

PARTIALLY_SHIPPED,

REALLOCATED,

CANCELLED,

PARTIALLY_CANCELLED

Example:

"PENDING_PICK"

locationType

string

Tenant's ship-from location type

Example:

"1234B"

shipToAddress

object

recipient

object[]

Recipient details such as phone number, email, and name

Showchild attributes

auditLogs

object[]

Logs with updated fields

Showchild attributes

Was this page helpful?

YesNo

Get allocation Get allocation by query

Ctrl+I

Assistant

Responses are generated using AI and may contain mistakes.